# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class BudgetTimePeriod(Model):
    """The start and end date for a budget.

    :param start_date: The start date for the budget.
    :type start_date: datetime
    :param end_date: The end date for the budget. If not provided, we default
     this to 10 years from the start date.
    :type end_date: datetime
    """

    _validation = {
        'start_date': {'required': True},
    }

    _attribute_map = {
        'start_date': {'key': 'startDate', 'type': 'iso-8601'},
        'end_date': {'key': 'endDate', 'type': 'iso-8601'},
    }

    def __init__(self, start_date, end_date=None):
        super(BudgetTimePeriod, self).__init__()
        self.start_date = start_date
        self.end_date = end_date
