# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class CurrentSpend(Model):
    """The current amount of cost which is being tracked for a budget.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :ivar amount: The total amount of cost which is being tracked by the
     budget.
    :vartype amount: decimal.Decimal
    :ivar unit: The unit of measure for the budget amount.
    :vartype unit: str
    """

    _validation = {
        'amount': {'readonly': True},
        'unit': {'readonly': True},
    }

    _attribute_map = {
        'amount': {'key': 'amount', 'type': 'decimal'},
        'unit': {'key': 'unit', 'type': 'str'},
    }

    def __init__(self):
        super(CurrentSpend, self).__init__()
        self.amount = None
        self.unit = None
